Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79225 - Prelinking can break C++ apps
Summary: Prelinking can break C++ apps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: prelink
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-08 06:49 UTC by Nicholas Miell
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-19 15:34:46 UTC


Attachments (Terms of Use)

Description Nicholas Miell 2002-12-08 06:49:05 UTC
Prelink is supposed to fall back to normal linking whenever a library an
executable has been prelinked against is changed. This doesn't work in C++
executables.

What happened:
I prelinked everything on my system, and the basically forgot about it.

Several months later, I decided to rebuild the freetype library with the
bytecode interpreter enabled.

After building and installing the package, prelinked C++ executables which
linked to freetype no longer worked. (They died at startup with a message along
the lines of "Unknown reloc type: 0x5" -- I know it was a unknown relocation
type error, and I'm pretty sure it was 0x5)

Undoing the prelink "fixes" the problem, which lead me to undo prelinking
everything on my system.

This is with prelink-0.2.0-8, and I discovered the problem with xpdf and
openoffice before and disabled prelinking entirely.

Comment 1 Jakub Jelinek 2003-02-19 15:34:46 UTC
This should be fixed in glibc-2.3.1-7 and later.


Note You need to log in before you can comment on or make changes to this bug.